package main

import (
	"environmentCaptureAgent/config/cmd"
	"fmt"
	"github.com/spf13/cobra"
	"os"
)

var (
	rootCmd = &cobra.Command{
		Use:     "hpds_environment_capture_agent",
		Long:    "hpds_agent is a environment capture agent",
		Version: "0.1",
	}
)

func init() {
	rootCmd.AddCommand(cmd.NewStartCmd())
}
func main() {

	if err := rootCmd.Execute(); err != nil {
		fmt.Fprint(os.Stderr, err.Error())
		os.Exit(1)
	}
}
